Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.groovydoc
Interface GroovyProgramElementDoc

All Superinterfaces:
  Comparable, GroovyDoc

All Known Subinterfaces:
  GroovyClassDoc, GroovyConstructorDoc, GroovyExecutableMemberDoc, GroovyFieldDoc, GroovyMemberDoc, GroovyMethodDoc

All Known Implementing Classes:
  ExternalGroovyClassDoc, SimpleGroovyAbstractableElementDoc, SimpleGroovyClassDoc, SimpleGroovyConstructorDoc, SimpleGroovyExecutableMemberDoc, SimpleGroovyFieldDoc, SimpleGroovyMemberDoc, SimpleGroovyMethodDoc, SimpleGroovyProgramElementDoc

    public interface GroovyProgramElementDoc
    extends GroovyDoc

Method Summary
Modifier and Type | Method and Description
--- | ---
`GroovyAnnotationRef[]` | `annotations()`
`GroovyClassDoc` | `containingClass()`
`GroovyPackageDoc` | `containingPackage()`
`boolean` | `isFinal()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`String` | `modifiers()`
`int` | `modifierSpecifier()`
`String` | `qualifiedName()`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### annotations

    GroovyAnnotationRef[] annotations()

### containingClass

    GroovyClassDoc containingClass()

### containingPackage

    GroovyPackageDoc containingPackage()

### isFinal

    boolean isFinal()

### isPackagePrivate

    boolean isPackagePrivate()

### isPrivate

    boolean isPrivate()

### isProtected

    boolean isProtected()

### isPublic

    boolean isPublic()

### isStatic

    boolean isStatic()

### modifiers

    String modifiers()

### modifierSpecifier

    int modifierSpecifier()

### qualifiedName

    String qualifiedName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD